Package org.jmock.builder

# Interface MatchBuilder

All Superinterfaces:
  `IdentityBuilder`, `StubBuilder`

All Known Subinterfaces:
  `ArgumentsMatchBuilder`, `NameMatchBuilder`

All Known Implementing Classes:
  `InvocationMockerBuilder`

public interface MatchBuilder extends StubBuilder

Since:
  1.0

## Method Summary

Modifier and Type
Method
Description
`MatchBuilder`
`after(String previousCallID)`
`MatchBuilder`
`after(BuilderNamespace otherMock, String previousCallID)`
`MatchBuilder`
`match(InvocationMatcher customMatcher)`

### Methods inherited from interface org.jmock.builder.IdentityBuilder

`id`

### Methods inherited from interface org.jmock.builder.StubBuilder

`isVoid, will`

## Method Details

### match

MatchBuilder match(InvocationMatcher customMatcher)

### after

MatchBuilder after(String previousCallID)

### after

MatchBuilder after(BuilderNamespace otherMock, String previousCallID)